package com.myapp;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "STAF")
public class Employee implements Serializable {

    @Id
    private Long id;
    private String name;

    // コンストラクタ
    public Employee() {
    }

    public Employee(String name) {
        this.name = name;
    }

    //アクセサメソッド
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
